# metamodel_version: 1.7.0
# version: 2311
@prefix casco-conformity: <https://$BASE_URL$/casco-conformity#> .
@prefix gx: <https://registry.lab.gaia-x.eu/development/api/trusted-shape-registry/v1/shapes/jsonld/trustframework#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .

casco-conformity:RequirementClaim a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "Type of the RequirementClaim" ;
            sh:maxCount 1 ;
            sh:order 1 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasType> ],
        [ sh:datatype xsd:string ;
            sh:description "proof" ;
            sh:maxCount 1 ;
            sh:order 4 ;
            sh:path <https://$BASE_URL$/casco-conformity/:proof> ],
        [ sh:datatype xsd:string ;
            sh:description "Issuer of the object" ;
            sh:maxCount 1 ;
            sh:order 0 ;
            sh:path <https://$BASE_URL$/casco-conformity/:issuer> ],
        [ sh:datatype xsd:string ;
            sh:description "Object of Conformity" ;
            sh:maxCount 1 ;
            sh:order 2 ;
            sh:path <https://$BASE_URL$/casco-conformity/:subject> ],
        [ sh:class casco-conformity:Requirement ;
            sh:description "Reference" ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 3 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasReference> ] ;
    sh:targetClass casco-conformity:RequirementClaim .

casco-conformity:SchemaOwner a sh:NodeShape ;
    sh:closed true ;
    sh:description "Develops and maintains ConformityAssessmentScheme" ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass casco-conformity:SchemaOwner .

casco-conformity:StatementOfConformity a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class casco-conformity:Accreditation ;
            sh:description "Accreditation to proof ConformityAssessmentBody is accredited to issue the StatementOfConformity" ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 4 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasAccreditation> ],
        [ sh:class casco-conformity:ConformityAssessmentScheme ;
            sh:description "Scheme used to check StatementOfConformity" ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 3 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasConformityAssessmentScheme> ],
        [ sh:datatype xsd:string ;
            sh:description "hash" ;
            sh:maxCount 1 ;
            sh:order 6 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hash> ],
        [ sh:datatype xsd:string ;
            sh:description "proof" ;
            sh:maxCount 1 ;
            sh:order 2 ;
            sh:path <https://$BASE_URL$/casco-conformity/:proof> ],
        [ sh:datatype xsd:string ;
            sh:maxCount 1 ;
            sh:order 5 ;
            sh:path casco-conformity:vc ],
        [ sh:datatype xsd:string ;
            sh:description "Object of Conformity" ;
            sh:maxCount 1 ;
            sh:order 0 ;
            sh:path <https://$BASE_URL$/casco-conformity/:subject> ],
        [ sh:class casco-conformity:ConformityAssessmentBody ;
            sh:description "ConformityAssessmentBody ability to issue scheme used" ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path <https://$BASE_URL$/casco-conformity/:issuer> ] ;
    sh:targetClass casco-conformity:StatementOfConformity .

casco-conformity:SystemOwner a sh:NodeShape ;
    sh:closed true ;
    sh:description "Develops and maintains ConformityAssessmentSystem" ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass casco-conformity:SystemOwner .

gx:Catalogue a sh:NodeShape ;
    sh:closed true ;
    sh:description "A catalogue service is a subclass of serviceOffering used to browse, search, filter services and resources." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class gx:ServiceOffering ;
            sh:description "A resolvable link to the service offering self-description related to the service and that can exist independently of it." ;
            sh:name "depends on" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 12 ;
            sh:path gx:dependsOn ],
        [ sh:description "One or more data protection regimes." ;
            sh:in ( "GDPR2016" "LGPD2019" "PDPA2012" "CCPA2018" "VCDPA2021" ) ;
            sh:name "data protection regime" ;
            sh:order 5 ;
            sh:path gx:dataProtectionRegime ],
        [ sh:datatype xsd:string ;
            sh:description "Provision type of the service" ;
            sh:maxCount 1 ;
            sh:name "provision type" ;
            sh:order 9 ;
            sh:path gx:provisionType ],
        [ sh:class gx:LegalPerson ;
            sh:description "A resolvable link to the participant self-description providing the service." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "provided by" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path gx:providedBy ],
        [ sh:datatype xsd:string ;
            sh:description "Human readable name of the service offering." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "name" ;
            sh:order 2 ;
            sh:path gx:name ],
        [ sh:class gx:Endpoint ;
            sh:description "Endpoint through which the Service Offering can be accessed." ;
            sh:maxCount 1 ;
            sh:name "endpoint" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 10 ;
            sh:path gx:endpoint ],
        [ sh:datatype xsd:string ;
            sh:description "List of Resource references where service is hosted and can be instantiated. Can refer to availabilty zones, data centers, regions, etc." ;
            sh:name "hosted on" ;
            sh:order 11 ;
            sh:path gx:hostedOn ],
        [ sh:datatype xsd:string ;
            sh:description "A description in natural language." ;
            sh:maxCount 1 ;
            sh:name "description" ;
            sh:order 7 ;
            sh:path gx:description ],
        [ sh:class gx:TermsAndConditions ;
            sh:description "A resolvable link to the Terms and Conditions applying to that service." ;
            sh:minCount 1 ;
            sh:name "terms and conditions" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 3 ;
            sh:path gx:termsAndConditions ],
        [ sh:datatype xsd:string ;
            sh:description "A resolvable link to the resources self-description related to the service and that can exist independently of it." ;
            sh:name "aggregation of" ;
            sh:order 13 ;
            sh:path gx:aggregationOf ],
        [ sh:datatype xsd:string ;
            sh:description "Keywords that describe / tag the service." ;
            sh:name "keyword" ;
            sh:order 8 ;
            sh:path gx:keyword ],
        [ sh:class gx:DataAccountExport ;
            sh:description "One or more  methods to export data out of the service." ;
            sh:minCount 1 ;
            sh:name "data account export" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 6 ;
            sh:path gx:dataAccountExport ],
        [ sh:datatype xsd:string ;
            sh:description "One or more policies expressed using a DSL (e.g., Rego or ODRL)." ;
            sh:minCount 1 ;
            sh:name "policy" ;
            sh:order 4 ;
            sh:path gx:policy ],
        [ sh:datatype xsd:string ;
            sh:description "a route used to synchronize catalogues and retrieve the list of Verifiable Credentials (issuer, id)." ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path gx:getVerifiableCredentialsIDs ] ;
    sh:targetClass gx:Catalogue .

gx:EORI a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "The Economic Operators Registration and Identification number (EORI)." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path gx:value ] ;
    sh:targetClass gx:EORI .

gx:EUID a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "The European Unique Identifier (EUID) for business located in the European Economic Area, Iceland, Liechtenstein or Norway and registered in the Business Registers Interconnection System (BRIS). This number can be found via the EU Business registers portal." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path gx:value ] ;
    sh:targetClass gx:EUID .

gx:GaiaXEntity a sh:NodeShape ;
    sh:closed false ;
    sh:description "Root class for Gaia-X entities." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass gx:GaiaXEntity .

gx:Issuer a sh:NodeShape ;
    sh:closed true ;
    sh:description "Each issuer shall issue a GaiaXTermsAndCondition verifiable credential." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class gx:GaiaXTermsAndConditions ;
            sh:description "Gaia-X terms and conditions signed by participant." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 0 ;
            sh:path gx:termsAndConditions ] ;
    sh:targetClass gx:Issuer .

gx:LeiCode a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "Unique LEI number as defined by https://www.gleif.org." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path <http://schema.org/leiCode> ] ;
    sh:targetClass gx:LeiCode .

gx:LocalRegistrationNumber a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "The state issued company number." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path gx:value ] ;
    sh:targetClass gx:LocalRegistrationNumber .

gx:Participant a sh:NodeShape ;
    sh:closed false ;
    sh:description "An legal or natural person that is onboarded to Gaia-X and offers, consumes services or operates resources." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass gx:Participant .

gx:PhysicalResource a sh:NodeShape ;
    sh:closed true ;
    sh:description "A Physical resource is, but not limited to, a datacenter, a bare-metal service, a warehouse, a plant." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class gx:Resource ;
            sh:description "Resources related to the resource and that can exist independently of it." ;
            sh:name "aggregation of" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 7 ;
            sh:path gx:aggregationOf ],
        [ sh:datatype xsd:string ;
            sh:description "A human readable name of the data resource." ;
            sh:maxCount 1 ;
            sh:name "name" ;
            sh:order 5 ;
            sh:path gx:name ],
        [ sh:datatype xsd:string ;
            sh:description "A list of physical GPS in ISO 6709:2008/Cor 1:2009 format." ;
            sh:maxCount 1 ;
            sh:name "location GPS" ;
            sh:order 3 ;
            sh:path gx:locationGPS ],
        [ sh:class gx:LegalPerson ;
            sh:description "Participant owning the resource." ;
            sh:maxCount 1 ;
            sh:name "owned by" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path gx:ownedBy ],
        [ sh:class gx:LegalPerson ;
            sh:description "Participant manufacturing the resource." ;
            sh:maxCount 1 ;
            sh:name "manufactured by" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 2 ;
            sh:path gx:manufacturedBy ],
        [ sh:class gx:LegalPerson ;
            sh:description "Participant maintaining the resource in operational condition and thus have physical access to it." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "maintained by" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 0 ;
            sh:path gx:maintainedBy ],
        [ sh:class gx:Address ;
            sh:description "A vcard:Address object that contains the physical location in ISO 3166-1 alpha2, alpha-3 or numeric format." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "location Address" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 4 ;
            sh:path gx:locationAddress ],
        [ sh:datatype xsd:string ;
            sh:description "A free text description of the data resource." ;
            sh:maxCount 1 ;
            sh:name "description" ;
            sh:order 6 ;
            sh:path gx:description ] ;
    sh:targetClass gx:PhysicalResource .

gx:RegistrationNumber a sh:NodeShape ;
    sh:closed false ;
    sh:description "Country's registration number, which identifies one specific entity. Allowed entries are Local, VatID, lei code, EODI, and EUID." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass gx:RegistrationNumber .

gx:VatID a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "The VAT identification number." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path gx:value ] ;
    sh:targetClass gx:VatID .

casco-conformity:Accreditation a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class casco-conformity:ConformityAssessmentBody ;
            sh:description "ConformityAssessmentBody accredited by issuer" ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path <https://$BASE_URL$/casco-conformity/:subject> ],
        [ sh:datatype xsd:dateTime ;
            sh:description "Starting date of the accreditation." ;
            sh:maxCount 1 ;
            sh:order 5 ;
            sh:path casco-conformity:cRValidFrom ],
        [ sh:class casco-conformity:ConformityAssessmentSystem ;
            sh:description "ConformityAssessmentSystem associated" ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 3 ;
            sh:path casco-conformity:hasConformityAssessmentSystem ],
        [ sh:datatype xsd:string ;
            sh:description "Sha256" ;
            sh:maxCount 1 ;
            sh:order 4 ;
            sh:path casco-conformity:hasSha256 ],
        [ sh:class casco-conformity:ConformityAssessmentScheme ;
            sh:description "Subject is accredited to certify object of conformity based on this ConformityAssessmentScheme" ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 2 ;
            sh:path <https://$BASE_URL$/casco-conformity/:canCertifyConformityAssessmentScheme> ],
        [ sh:datatype xsd:dateTime ;
            sh:description "Ending date of the accreditation." ;
            sh:maxCount 1 ;
            sh:order 6 ;
            sh:path casco-conformity:cRValidUntil ],
        [ sh:class casco-conformity:AccreditationBody ;
            sh:description "Issuer of the object" ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 0 ;
            sh:path <https://$BASE_URL$/casco-conformity/:issuer> ] ;
    sh:targetClass casco-conformity:Accreditation .

casco-conformity:AccreditationBody a sh:NodeShape ;
    sh:closed true ;
    sh:description "Has authority from Schema Owner to issue Accreditations to Conformity Assessment Body" ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass casco-conformity:AccreditationBody .

gx:Address a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "The v:locality property specifies the locality (e.g., city) of a postal address." ;
            sh:maxCount 1 ;
            sh:name "locality" ;
            sh:order 4 ;
            sh:path gx:locality ],
        [ sh:datatype xsd:string ;
            sh:description "GPS in ISO 6709:2008/Cor 1:2009 format." ;
            sh:maxCount 1 ;
            sh:name "gps" ;
            sh:order 1 ;
            sh:path gx:gps ],
        [ sh:datatype xsd:string ;
            sh:description "Physical location of head quarter in ISO 3166-1 alpha2, alpha-3 or numeric format." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "country name" ;
            sh:order 0 ;
            sh:path gx:country_name ],
        [ sh:datatype xsd:string ;
            sh:description "The v:street-address property specifies the street address of a postal address." ;
            sh:maxCount 1 ;
            sh:name "street address" ;
            sh:order 2 ;
            sh:path gx:street_address ],
        [ sh:datatype xsd:string ;
            sh:description "String of a street-address." ;
            sh:maxCount 1 ;
            sh:name "postal code" ;
            sh:order 3 ;
            sh:path gx:postal_code ] ;
    sh:targetClass gx:Address .

gx:GaiaXTermsAndConditions a sh:NodeShape ;
    sh:closed true ;
    sh:description "Gaia-X terms and conditions, each issuer has to aggree." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path gx:termsAndConditions ] ;
    sh:targetClass gx:GaiaXTermsAndConditions .

gx:HeadquarterAddress a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "GPS in ISO 6709:2008/Cor 1:2009 format." ;
            sh:maxCount 1 ;
            sh:name "gps" ;
            sh:order 1 ;
            sh:path gx:gps ],
        [ sh:datatype xsd:string ;
            sh:description "String of a street-address." ;
            sh:maxCount 1 ;
            sh:name "postal code" ;
            sh:order 3 ;
            sh:path gx:postal_code ],
        [ sh:datatype xsd:string ;
            sh:description "The v:street-address property specifies the street address of a postal address." ;
            sh:maxCount 1 ;
            sh:name "street address" ;
            sh:order 2 ;
            sh:path gx:street_address ],
        [ sh:datatype xsd:string ;
            sh:description "Physical location of head quarter in ISO 3166-1 alpha2, alpha-3 or numeric format." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "country name" ;
            sh:order 0 ;
            sh:path gx:country_name ],
        [ sh:datatype xsd:string ;
            sh:description "The v:locality property specifies the locality (e.g., city) of a postal address." ;
            sh:maxCount 1 ;
            sh:name "locality" ;
            sh:order 4 ;
            sh:path gx:locality ] ;
    sh:targetClass gx:HeadquarterAddress .

gx:LegalAddress a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "The v:locality property specifies the locality (e.g., city) of a postal address." ;
            sh:maxCount 1 ;
            sh:name "locality" ;
            sh:order 4 ;
            sh:path gx:locality ],
        [ sh:datatype xsd:string ;
            sh:description "Physical location of head quarter in ISO 3166-1 alpha2, alpha-3 or numeric format." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "country name" ;
            sh:order 0 ;
            sh:path gx:country_name ],
        [ sh:datatype xsd:string ;
            sh:description "GPS in ISO 6709:2008/Cor 1:2009 format." ;
            sh:maxCount 1 ;
            sh:name "gps" ;
            sh:order 1 ;
            sh:path gx:gps ],
        [ sh:datatype xsd:string ;
            sh:description "String of a street-address." ;
            sh:maxCount 1 ;
            sh:name "postal code" ;
            sh:order 3 ;
            sh:path gx:postal_code ],
        [ sh:datatype xsd:string ;
            sh:description "The v:street-address property specifies the street address of a postal address." ;
            sh:maxCount 1 ;
            sh:name "street address" ;
            sh:order 2 ;
            sh:path gx:street_address ] ;
    sh:targetClass gx:LegalAddress .

gx:Relationship a sh:NodeShape ;
    sh:closed true ;
    sh:description "A relationship between two organisations." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class gx:LegalPerson ;
            sh:description "A direct participant with a legal mandate on this entity, e.g., as a subsidiary." ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path gx:subOrganisationOf ],
        [ sh:class gx:LegalPerson ;
            sh:description "A list of direct participant that this entity is a subOrganization of, if any." ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 0 ;
            sh:path gx:parentOrganizationOf ] ;
    sh:targetClass gx:Relationship .

gx:StandardConformity a sh:NodeShape ;
    sh:closed true ;
    sh:description "Details about standard applied to entities." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:description "Provides a link to schemas or details about applied standards." ;
            sh:minCount 1 ;
            sh:name "standard reference" ;
            sh:order 1 ;
            sh:path gx:standardReference ],
        [ sh:datatype xsd:string ;
            sh:description "Name of the standard." ;
            sh:minCount 1 ;
            sh:name "title" ;
            sh:order 0 ;
            sh:path gx:title ],
        [ sh:datatype xsd:string ;
            sh:description "Publisher of the standard." ;
            sh:maxCount 1 ;
            sh:name "publisher" ;
            sh:order 2 ;
            sh:path gx:publisher ] ;
    sh:targetClass gx:StandardConformity .

casco-conformity:ConformityAssessmentBody a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:targetClass casco-conformity:ConformityAssessmentBody .

casco-conformity:ConformityAssessmentSystem a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "URL of a registry which will return list of Accreditation." ;
            sh:maxCount 1 ;
            sh:order 5 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasAccreditationRegistry> ],
        [ sh:datatype xsd:string ;
            sh:description "URL of a SchemaOwnerRegistry which will return list of SchemaOwner" ;
            sh:maxCount 1 ;
            sh:order 2 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasSchemaOwnerRegistry> ],
        [ sh:datatype xsd:string ;
            sh:description "URL of a registry which will return list of AccreditationBody." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 4 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasAccreditationBodyRegistry> ],
        [ sh:datatype xsd:string ;
            sh:description "URL of a registry which will return list of ConformityAssessmentScheme." ;
            sh:maxCount 1 ;
            sh:order 3 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasConformityAssessmentSchemeRegistry> ],
        [ sh:datatype xsd:string ;
            sh:description "Issuer of the object" ;
            sh:maxCount 1 ;
            sh:order 0 ;
            sh:path <https://$BASE_URL$/casco-conformity/:issuer> ],
        [ sh:datatype xsd:string ;
            sh:description "Name of the ConformityAssessmentSystem" ;
            sh:maxCount 1 ;
            sh:order 1 ;
            sh:path casco-conformity:hasName ] ;
    sh:targetClass casco-conformity:ConformityAssessmentSystem .

casco-conformity:Requirement a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class casco-conformity:ConformityAssessmentScheme ;
            sh:description "List of ConformityAssessmentScheme accepted for this Requirement" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 7 ;
            sh:path <https://$BASE_URL$/casco-conformity/:isAccepted> ],
        [ sh:datatype xsd:string ;
            sh:description "Issuer of the object" ;
            sh:maxCount 1 ;
            sh:order 0 ;
            sh:path <https://$BASE_URL$/casco-conformity/:issuer> ],
        [ sh:datatype xsd:string ;
            sh:description "IRI type of Object targeted by the Requirement." ;
            sh:maxCount 1 ;
            sh:order 6 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasObjectOfConformity> ],
        [ sh:description "Value of Testing / Audit / Validation / Verification / Inspection (cf. section 6 of CASCO)" ;
            sh:in ( "TESTING" "AUDIT" "VALIDATION" "VERIFICATION" ) ;
            sh:maxCount 1 ;
            sh:order 4 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasProcedure> ],
        [ sh:description "Type of the Requirement" ;
            sh:in ( "DECLARATION" "NOTARIZE DECLARATION" "CERTIFICATION" ) ;
            sh:maxCount 1 ;
            sh:order 3 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasType> ],
        [ sh:datatype xsd:string ;
            sh:description "The category of this criterion" ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 5 ;
            sh:path casco-conformity:hasCategory ],
        [ sh:datatype xsd:string ;
            sh:description "A description in natural language of the Requirement" ;
            sh:maxCount 1 ;
            sh:order 2 ;
            sh:path casco-conformity:hasDescription ],
        [ sh:datatype xsd:string ;
            sh:description "Name of the Requirement." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 1 ;
            sh:path casco-conformity:hasName ] ;
    sh:targetClass casco-conformity:Requirement .

gx:DataAccountExport a sh:NodeShape ;
    sh:closed true ;
    sh:description "List of methods to export data from your account out of the service." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:description "Type of data support: digital, physical." ;
            sh:in ( "digital" "physical" ) ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "access type" ;
            sh:order 1 ;
            sh:path gx:accessType ],
        [ sh:description "The mean to request data retrieval: API, email, webform, unregisteredLetter, registeredLetter, supportCenter." ;
            sh:in ( "API" "email" "webform" "unregisteredLetter" "registeredLetter" "supportCenter" ) ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "request type" ;
            sh:order 0 ;
            sh:path gx:requestType ],
        [ sh:datatype xsd:string ;
            sh:description "Type of Media Types (formerly known as MIME types) as defined by the IANA." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "format type" ;
            sh:order 2 ;
            sh:path gx:formatType ] ;
    sh:targetClass gx:DataAccountExport .

gx:Endpoint a sh:NodeShape ;
    sh:closed true ;
    sh:description "An endpoint is a mean to access and interact with a service or a resource." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class gx:StandardConformity ;
            sh:description "Provides information about applied standards." ;
            sh:name "standard conformity" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path gx:standardConformity ],
        [ sh:datatype xsd:string ;
            sh:description "The Description (e.g. openAPI Description) of the endpoint." ;
            sh:name "endpoint description" ;
            sh:order 2 ;
            sh:path gx:endpointDescription ],
        [ sh:description "The URL of the endpoint where it can be accessed." ;
            sh:name "endpoint URL" ;
            sh:order 0 ;
            sh:path gx:endpointURL ] ;
    sh:targetClass gx:Endpoint .

gx:Resource a sh:NodeShape ;
    sh:closed true ;
    sh:description "A resource that may be aggregated in a Service Offering or exist independently of it." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "A free text description of the data resource." ;
            sh:maxCount 1 ;
            sh:name "description" ;
            sh:order 1 ;
            sh:path gx:description ],
        [ sh:class gx:Resource ;
            sh:description "Resources related to the resource and that can exist independently of it." ;
            sh:name "aggregation of" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 2 ;
            sh:path gx:aggregationOf ],
        [ sh:datatype xsd:string ;
            sh:description "A human readable name of the data resource." ;
            sh:maxCount 1 ;
            sh:name "name" ;
            sh:order 0 ;
            sh:path gx:name ] ;
    sh:targetClass gx:Resource .

gx:ServiceOffering a sh:NodeShape ;
    sh:closed true ;
    sh:description "A description of a digital service available for order." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:class gx:Endpoint ;
            sh:description "Endpoint through which the Service Offering can be accessed." ;
            sh:maxCount 1 ;
            sh:name "endpoint" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 9 ;
            sh:path gx:endpoint ],
        [ sh:datatype xsd:string ;
            sh:description "A resolvable link to the resources self-description related to the service and that can exist independently of it." ;
            sh:name "aggregation of" ;
            sh:order 12 ;
            sh:path gx:aggregationOf ],
        [ sh:description "One or more data protection regimes." ;
            sh:in ( "GDPR2016" "LGPD2019" "PDPA2012" "CCPA2018" "VCDPA2021" ) ;
            sh:name "data protection regime" ;
            sh:order 4 ;
            sh:path gx:dataProtectionRegime ],
        [ sh:datatype xsd:string ;
            sh:description "Provision type of the service" ;
            sh:maxCount 1 ;
            sh:name "provision type" ;
            sh:order 8 ;
            sh:path gx:provisionType ],
        [ sh:class gx:TermsAndConditions ;
            sh:description "A resolvable link to the Terms and Conditions applying to that service." ;
            sh:minCount 1 ;
            sh:name "terms and conditions" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 2 ;
            sh:path gx:termsAndConditions ],
        [ sh:datatype xsd:string ;
            sh:description "One or more policies expressed using a DSL (e.g., Rego or ODRL)." ;
            sh:minCount 1 ;
            sh:name "policy" ;
            sh:order 3 ;
            sh:path gx:policy ],
        [ sh:class gx:ServiceOffering ;
            sh:description "A resolvable link to the service offering self-description related to the service and that can exist independently of it." ;
            sh:name "depends on" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 11 ;
            sh:path gx:dependsOn ],
        [ sh:datatype xsd:string ;
            sh:description "Human readable name of the service offering." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "name" ;
            sh:order 1 ;
            sh:path gx:name ],
        [ sh:datatype xsd:string ;
            sh:description "List of Resource references where service is hosted and can be instantiated. Can refer to availabilty zones, data centers, regions, etc." ;
            sh:name "hosted on" ;
            sh:order 10 ;
            sh:path gx:hostedOn ],
        [ sh:datatype xsd:string ;
            sh:description "Keywords that describe / tag the service." ;
            sh:name "keyword" ;
            sh:order 7 ;
            sh:path gx:keyword ],
        [ sh:class gx:LegalPerson ;
            sh:description "A resolvable link to the participant self-description providing the service." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "provided by" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 0 ;
            sh:path gx:providedBy ],
        [ sh:datatype xsd:string ;
            sh:description "A description in natural language." ;
            sh:maxCount 1 ;
            sh:name "description" ;
            sh:order 6 ;
            sh:path gx:description ],
        [ sh:class gx:DataAccountExport ;
            sh:description "One or more  methods to export data out of the service." ;
            sh:minCount 1 ;
            sh:name "data account export" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 5 ;
            sh:path gx:dataAccountExport ] ;
    sh:targetClass gx:ServiceOffering .

gx:TermsAndConditions a sh:NodeShape ;
    sh:closed true ;
    sh:description "Terms and Conditions applying to a service offering." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "sha256 hash of the document." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "hash" ;
            sh:order 1 ;
            sh:path gx:hash ],
        [ sh:description "A resolvable link to document." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:name "url" ;
            sh:order 0 ;
            sh:path gx:URL ] ;
    sh:targetClass gx:TermsAndConditions .

casco-conformity:ConformityAssessmentScheme a sh:NodeShape ;
    sh:closed true ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "URI to reference the content of the compliance reference in a single PDF file" ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:order 4 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasReferenceUrl> ],
        [ sh:datatype xsd:string ;
            sh:description "Issuer of the object" ;
            sh:maxCount 1 ;
            sh:order 0 ;
            sh:path <https://$BASE_URL$/casco-conformity/:issuer> ],
        [ sh:class casco-conformity:Requirement ;
            sh:description "List of Requirement" ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasRequirements> ],
        [ sh:class casco-conformity:ConformityAssessmentSystem ;
            sh:maxCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 6 ;
            sh:path casco-conformity:hasConformityAssessmentSystem ],
        [ sh:datatype xsd:string ;
            sh:description "ConformityAssessmentScheme type" ;
            sh:maxCount 1 ;
            sh:order 7 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasTitle> ],
        [ sh:datatype xsd:string ;
            sh:description "Method used by the scheme" ;
            sh:maxCount 1 ;
            sh:order 3 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasMethodology> ],
        [ sh:datatype xsd:string ;
            sh:description "Object type defined by the Conformity" ;
            sh:maxCount 1 ;
            sh:order 2 ;
            sh:path <https://$BASE_URL$/casco-conformity/:hasScope> ],
        [ sh:datatype xsd:string ;
            sh:description "A description in natural language" ;
            sh:maxCount 1 ;
            sh:order 8 ;
            sh:path casco-conformity:hasDescription ],
        [ sh:datatype xsd:string ;
            sh:description "String designated the version of the reference document. Can be a date or a build number or X.YY.ZZ....." ;
            sh:maxCount 1 ;
            sh:order 5 ;
            sh:path casco-conformity:hasVersion ] ;
    sh:targetClass casco-conformity:ConformityAssessmentScheme .

gx:LegalPerson a sh:NodeShape ;
    sh:closed true ;
    sh:description "An legal person, who is uniquely identifier by it's registration number." ;
    sh:ignoredProperties ( rdf:type ) ;
    sh:property [ sh:datatype xsd:string ;
            sh:description "Country's registration number, which identifies one specific entity. Valid formats are local, EUID, EORI, vatID, leiCode." ;
            sh:minCount 1 ;
            sh:order 0 ;
            sh:path gx:registrationNumber ],
        [ sh:class gx:LegalAddress ;
            sh:description "The full legal address of the organization." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 1 ;
            sh:path gx:legalAddress ],
        [ sh:class gx:Relationship ;
            sh:description "A list of related organization, either as sub or parent organization, if any." ;
            sh:nodeKind sh:BlankNode ;
            sh:order 3 ;
            sh:path gx:relatedOrganizations ],
        [ sh:class gx:HeadquarterAddress ;
            sh:description "Full physical location of the headquarter of the organization." ;
            sh:maxCount 1 ;
            sh:minCount 1 ;
            sh:nodeKind sh:BlankNode ;
            sh:order 2 ;
            sh:path gx:headquarterAddress ] ;
    sh:targetClass gx:LegalPerson .


